.chatmessages {
    width: 100%;
    padding: 4px;
    height: calc(100% - 60px);
    background: transparent;
    overflow: auto;
    overflow-x: hidden;
    clear: both;
}

.chatbox {
    display: none;
    float: right;
    position: relative;
    bottom: 0px;
    width: 275px;
    max-width: 45vw;
    border: 1px solid grey;
    font-size: 16px;
    background: #e9f4fb;
    height: 70vh;
    max-height: 70vh;
    margin-left: 5px;
}

.chatmessages {
    width: 100%;
    padding: 4px;
    height: calc(100vh - 95px);
    background: transparent;
    overflow: auto;
    overflow-x: hidden;
    clear: both;
    display: flex;
    flex-direction: column-reverse;
}

.chatmessage {
    float: left;
    width: 100%;
}

.chatEntry {
    float: left;
    width: 100%;
}

.chatEntry:focus {
    outline: none;
    border-color: rgb(8, 87, 147);
}

.chatMsgContainer {
    position: fixed;
    bottom: 7px;
    width: calc(100% - 15px);
}

.chatEntry:after {
    content: '';
    display: block;
    clear: both;
}

.chatEntry .img {
    display: inline-block;
    width: 20px;
    height: 20px;
}

.yoububble {
    padding: 5px;
    background: #cae0d4;
    border-radius: 7px;
    float: right;
    clear: both;
    margin: 2px 0px;
    max-width: 90%;
    text-align: right;
    position: relative;
}

.thembubble {
    padding: 5px;
    background: #ede8ba;
    border-radius: 7px;
    float: left;
    clear: both;
    margin: 2px 0px;
    max-width: 90%;
    position: relative;
}

.yoububblemsg {
    float: right;
    line-height: 1em;
}

.thembubblemsg {
    float: left;
    line-height: 1em;
}

.deleteChatIcon {
    position: absolute;
    top: 3px;
    left: 3px;
    display: none;
    font-size: 12px;
    color: red;
}

.rightIcon {
    left: auto;
    right: 3px;
}

.yoububble:hover .deleteChatIcon,
.thembubble:hover .deleteChatIcon {
    display: block;
}